# Class GeometryTools

##### Index

### Constructors

constructor

### Methods

createLine
createMeshWireframe
createRay
createSphere
createStartDisc
updateLine
viewObjectWireFrame

## Constructors

### constructor

- new GeometryTools(_scene: Scene): GeometryTools

  #### Parameters

  - _scene: Scene

  #### Returns GeometryTools

## Methods

### createLine

- createLine(
  id: string,
  origin: Vector3,
  target: Vector3,
  color: Color4,
  ): LinesMesh

  #### Parameters

  - id: string
  - origin: Vector3
  - target: Vector3
  - color: Color4

  #### Returns LinesMesh

### createMeshWireframe

- createMeshWireframe(
  mesh: BimIfcMesh,
  inWorldSpace?: boolean,
  color: Color4,
  ): LinesMesh[]

  #### Parameters

  - mesh: BimIfcMesh
  - inWorldSpace: boolean = true
  - color: Color4

  #### Returns LinesMesh[]

### createRay

- createRay(id: string, ray: Ray, color: Color3): RayHelper

  #### Parameters

  - id: string
  - ray: Ray
  - color: Color3

  #### Returns RayHelper

### createSphere

- createSphere(id: string, origin: Vector3, size: number, segments?: number): Mesh

  #### Parameters

  - id: string
  - origin: Vector3
  - size: number
  - segments: number = 4

  #### Returns Mesh

### createStartDisc

- createStartDisc(
  id: string,
  origin: Vector3,
  normal: Vector3,
  size: number,
  segments?: number,
  ): Mesh

  #### Parameters

  - id: string
  - origin: Vector3
  - normal: Vector3
  - size: number
  - segments: number = 6

  #### Returns Mesh

### updateLine

- updateLine(
  instance: LinesMesh,
  origin: Vector3,
  target: Vector3,
  color: Color4,
  ): LinesMesh

  #### Parameters

  - instance: LinesMesh
  - origin: Vector3
  - target: Vector3
  - color: Color4

  #### Returns LinesMesh

### viewObjectWireFrame

- viewObjectWireFrame(object: BimIfcObject, color: Color4): LinesMesh[][]

  #### Parameters

  - object: BimIfcObject
  - color: Color4

  #### Returns LinesMesh[][]